Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.server.http
Class DirectoryServlet

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--javax.servlet.http.HttpServlet
                  |
                  +--com.caucho.server.http.DirectoryServlet

All Implemented Interfaces:
  java.io.Serializable, Servlet, ServletConfig

public class DirectoryServlet
extends HttpServlet

See Also:
  Serialized Form

Constructor Summary
`DirectoryServlet()`
`DirectoryServlet(Path context)`

Method Summary
`void` | `doGet(HttpServletRequest request, HttpServletResponse response)` Process a GET or HEAD request
`void` | `init()` Initialize the servlet.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirectoryServlet

    public DirectoryServlet(Path context)

### DirectoryServlet

    public DirectoryServlet()

Method Detail

### init

    public void init()

  Description copied from class: `GenericServlet`
  Initialize the servlet. Servlets should override this method if they need any initialization like opening pooled database connections.
  Overrides:
    `init` in class `GenericServlet`

### doGet

    public void doGet(HttpServletRequest request,
                      HttpServletResponse response)
               throws java.io.IOException

  Description copied from class: `HttpServlet`
  Process a GET or HEAD request
  Overrides:
    `doGet` in class `HttpServlet`
  Following copied from class: `javax.servlet.http.HttpServlet`
  Parameters:
    `req` - the client request
    `res` - response to the client

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD